khtml::RenderFlow class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# khtml::RenderFlow Class Reference

all geometry managing stuff is only in the block elements. More...

`#include <render_flow.h>`

Collaboration diagram for khtml::RenderFlow:

[legend]
List of all members.

## Public Member Functions
| RenderFlow (DOM::NodeImpl *node)
virtual const char * | renderName () const
virtual void | setStyle (RenderStyle *style)
virtual bool | isFlow () const
virtual bool | childrenInline () const
virtual bool | isRendered () const
void | makeChildrenNonInline (RenderObject *box2Start=0)
virtual void | paint (QPainter *, int x, int y, int w, int h, int tx, int ty)
virtual void | paintObject (QPainter *, int x, int y, int w, int h, int tx, int ty)
void | paintSpecialObjects (QPainter *, int x, int y, int w, int h, int tx, int ty)
virtual void | layout ()
virtual void | close ()
virtual void | addChild (RenderObject *newChild, RenderObject *beforeChild=0)
virtual short | lineWidth (int y) const
virtual int | lowestPosition () const
virtual int | rightmostPosition () const
int | rightOffset () const
int | rightRelOffset (int y, int fixedOffset, int *heightRemaining=0) const
int | rightOffset (int y) const
int | leftOffset () const
int | leftRelOffset (int y, int fixedOffset, int *heightRemaining=0) const
int | leftOffset (int y) const
virtual void | printTree (int indent=0) const
virtual void | dump (QTextStream *stream, QString ind="") const
virtual FindSelectionResult | checkSelectionPoint (int _x, int _y, int _tx, int _ty, DOM::NodeImpl *&, int &offset)
virtual bool | nodeAtPoint (NodeInfo &info, int x, int y, int tx, int ty)
int | floatBottom () const
int | leftBottom ()
int | rightBottom ()
bool | checkClear (RenderObject *child)
void | insertSpecialObject (RenderObject *o)
void | removeSpecialObject (RenderObject *o)
void | positionNewFloats ()
void | clearFloats ()
virtual void | calcMinMaxWidth ()
virtual bool | containsSpecial ()
virtual bool | hasOverhangingFloats ()
void | addOverHangingFloats (RenderFlow *flow, int xoffset, int yoffset, bool child=false)
void | bidiReorderLine (const BidiIterator &start, const BidiIterator &end)
BidiIterator | findNextLineBreak (BidiIterator &start)
## Protected Member Functions
virtual void | newLine ()
void | layoutBlockChildren (bool relayoutChildren)
void | layoutInlineChildren (bool relayoutChildren)
void | layoutSpecialObjects (bool relayoutChildren)
## Protected Attributes
QSortedList< SpecialObject > * | specialObjects

## Detailed Description

all geometry managing stuff is only in the block elements.

Inline elements don't layout themselves, but the whole paragraph gets layouted by the surrounding block element. This is, because one needs to know the whole paragraph to calculate bidirectional behaviour of text, so putting the layouting routines in the inline elements is impossible.

Definition at line 43 of file render_flow.h.

The documentation for this class was generated from the following files:

- render_flow.h
- bidi.cpp
- render_flow.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:40:17 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001